CREATE TABLE gl_alloc_rules_ (
    ALLOC_RULE_ID            NUMBER(18, 0) ,
    RULE_ID                  NUMBER(18, 0) ,
    RULE_NAME                VARCHAR2(2048),
    DESCRIPTION              VARCHAR2(2000),
    DISPLAY_NAME             VARCHAR2(2048),
    RULESET_ID               NUMBER(18, 0) ,
    RULE_SEQUENCE            NUMBER(18, 0) ,
    FUNCTION_SEQUENCE        NUMBER(18, 0) ,
    ALLOC_BLOCK              CLOB          ,
    CUSTOMCALC_BLOCK         CLOB          ,
    APP_NAME                 VARCHAR2(2048),
    DB_NAME                  VARCHAR2(400) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    CREATION_DATE            TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    START_DATE               DATE          ,
    END_DATE                 DATE          ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    ALLOC_RULE_ID            NUMBER(18, 0) ,
    RULE_ID                  NUMBER(18, 0) ,
    RULE_NAME                VARCHAR2(2048),
    DESCRIPTION              VARCHAR2(2000),
    DISPLAY_NAME             VARCHAR2(2048),
    RULESET_ID               NUMBER(18, 0) ,
    RULE_SEQUENCE            NUMBER(18, 0) ,
    FUNCTION_SEQUENCE        NUMBER(18, 0) ,
    ALLOC_BLOCK              CLOB          ,
    CUSTOMCALC_BLOCK         CLOB          ,
    APP_NAME                 VARCHAR2(2048),
    DB_NAME                  VARCHAR2(400) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    CREATION_DATE            TIMESTAMP(6)  ,
    CREATED_BY               VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    START_DATE               DATE          ,
    END_DATE                 DATE          ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    CONSTRAINT pk_gl_alloc_rules_ PRIMARY KEY (ALLOC_RULE_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, ALLOC_RULE_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
